classification
Title: Travis CI: documentation job fails in library/nntplib.rst with random network issue on news.gmane.io
Type: Stage: resolved
Components: Tests Versions: Python 3.9
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: chris.jerdonek, corona10, ned.deily, terry.reedy
Priority: normal Keywords: patch

Created on 2020-01-15 10:22 by vstinner, last changed 2020-06-01 19:08 by vstinner.

Pull Requests
URL Status Linked Edit
PR 18013 closed corona10, 2020-01-15 15:53
Messages (10)
msg360039 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-01-15 10:22
Should we disable documentation test on nntplib? It's surprising that test_nntplib test on the other Travis CI jobs.

https://travis-ci.org/python/cpython/jobs/637325027

Warning, treated as error:

**********************************************************************

File "library/nntplib.rst", line ?, in default

Failed example:

    s = NNTP('news.gmane.io')

Exception raised:

    Traceback (most recent call last):

      File "/home/travis/build/python/cpython/Lib/doctest.py", line 1329, in __run

        exec(compile(example.source, filename, "single",

      File "<doctest default[0]>", line 1, in <module>

        s = NNTP('news.gmane.io')

      File "/home/travis/build/python/cpython/Lib/nntplib.py", line 1045, in __init__

        self.sock = self._create_socket(timeout)

      File "/home/travis/build/python/cpython/Lib/nntplib.py", line 1062, in _create_socket

        return socket.create_connection((self.host, self.port), timeout)

      File "/home/travis/build/python/cpython/Lib/socket.py", line 843, in create_connection

        raise err

      File "/home/travis/build/python/cpython/Lib/socket.py", line 831, in create_connection

        sock.connect(sa)

    ConnectionRefusedError: [Errno 111] Connection refused
msg360052 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2020-01-15 13:06
Same for news.gmane.org

>>> s = nntplib.NNTP('news.gmane.org')
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/Users/corona10/oss/cpython/Lib/nntplib.py", line 1045, in __init__
    self.sock = self._create_socket(timeout)
  File "/Users/corona10/oss/cpython/Lib/nntplib.py", line 1062, in _create_socket
    return socket.create_connection((self.host, self.port), timeout)
  File "/Users/corona10/oss/cpython/Lib/socket.py", line 843, in create_connection
    raise err
  File "/Users/corona10/oss/cpython/Lib/socket.py", line 831, in create_connection
    sock.connect(sa)
ConnectionRefusedError: [Errno 61] Connection refused
msg360054 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2020-01-15 13:28
s = nntplib.NNTP('nntp.perl.org')
s = nntplib.NNTP('news.mozilla.org')

I 've checked a few servers list to use.
But I don't know that they are proper to use.
msg360058 - (view) Author: Dong-hee Na (corona10) * (Python committer) Date: 2020-01-15 15:31
But for now on, IMHO skip is better choice.
msg360060 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2020-01-15 16:23
FYI, gmane.io is down for a server move today.  It should be back in service by 2100 GMT.
msg360061 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-01-15 16:24
> FYI, gmane.io is down for a server move today.  It should be back in service by 2100 GMT.

I propose to do nothing and wait. Travis CI is not currently preventing to merge a PR.
msg360062 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2020-01-15 16:25
I should have checked first.  The move was completed ahead of schedule and it's now back in service.  The tests should no loner fail.

https://lars.ingebrigtsen.no/2020/01/15/news-gmane-org-is-now-news-gmane-io/
msg360216 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-01-17 23:05
It seems like the GMANE server has been fixed.
msg369694 - (view) Author: Chris Jerdonek (chris.jerdonek) * (Python committer) Date: 2020-05-23 06:19
Reopening as this is happening again -- twice for me: https://github.com/python/cpython/pull/20329/checks?check_run_id=701405252#step:7:117
msg370343 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-05-29 23:48
gmane was down for maybe a day early this week.  We should expect this to continue happening on and off, as it has for years (I use it daily).  I suggest that we run the test when we can and skip (or connect elsewhere) when we cannot.

try:
    s = NNTP('news.gmane.io')
except ConnectionRefusedError as e:
    self.skipTest(f'Gmane down: {e}')
History
Date User Action Args
2020-06-01 19:08:06vstinnersetnosy: - vstinner
2020-05-29 23:48:42terry.reedysetnosy: + terry.reedy
messages: + msg370343
2020-05-23 06:19:47chris.jerdoneksetstatus: closed -> open

nosy: + chris.jerdonek
messages: + msg369694

resolution: fixed ->
2020-01-17 23:05:50vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg360216

stage: patch review -> resolved
2020-01-15 16:25:44ned.deilysetmessages: + msg360062
2020-01-15 16:24:08vstinnersetmessages: + msg360061
2020-01-15 16:23:09ned.deilysetnosy: + ned.deily
messages: + msg360060
2020-01-15 15:53:20corona10setkeywords: + patch
stage: patch review
pull_requests: + pull_request17411
2020-01-15 15:31:11corona10setmessages: + msg360058
2020-01-15 13:28:11corona10setmessages: + msg360054
2020-01-15 13:06:05corona10setmessages: + msg360052
2020-01-15 13:01:12corona10setnosy: + corona10
2020-01-15 10:22:54vstinnercreate